> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document oversight settings



## OpenAPI

````yaml get /v1/document-oversight-settings/{tenantId}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/document-oversight-settings/{tenantId}:
    get:
      tags:
        - document-oversight-settings
      summary: Get document oversight settings
      operationId: TenantDocumentOversightSettingController_getSettings_v1
      parameters:
        - name: tenantId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Document oversight settings retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TenantDocumentOversightSettingResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    TenantDocumentOversightSettingResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantDocumentOversightSettingResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantDocumentOversightSettingResponseDto:
      type: object
      properties:
        id:
          type: string
          example: b75c5574-f1f6-4c7a-8267-4a4b063649bd
          description: Unique identifier
        tenantId:
          type: string
          example: 638fcb73-457f-401b-bb93-f9ccb50d4684
          description: Tenant ID
        owner:
          type: boolean
          description: Owner flag
          example: true
        responsibleAuthority:
          type: boolean
          description: Responsible Authority flag
          example: true
        approvalAuthority:
          type: boolean
          description: Approval Authority flag
          example: true
        generateApprovalAction:
          type: boolean
          description: Generate Approval Action flag
          example: true
        reviewerAuthority:
          type: boolean
          description: Reviewer Authority flag
          example: true
        generateReviewAction:
          type: boolean
          description: Generate Review Action flag
          example: true
        createdAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Created date
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Updated date
        isApprovalActionExist:
          type: boolean
          description: Document has active approval actions
          example: true/false
        isReviewerActionExist:
          type: boolean
          description: Document has active reviewer actions
          example: true/false
      required:
        - id
        - tenantId
        - owner
        - responsibleAuthority
        - approvalAuthority
        - generateApprovalAction
        - reviewerAuthority
        - generateReviewAction
        - createdAt
        - updatedAt
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````